using System;
class HelloWorld
{
    static void Main()
    {
        long t = long.Parse(Console.ReadLine());
        long i = 0, j = 0;
        for(i=0; i<t; i++)
        {
            string [] ulaz = Console.ReadLine().Split(' ');
            long n = long.Parse(ulaz[0]);
            for(j=0; j<2*n; j++)
            {
                ulaz = Console.ReadLine().Split(' ');
            }
            Console.WriteLine("NE");
        }
    }
}